#!/usr/bin/python
# -*- coding:utf-8 -*-
import os, sys, math

#calcul_distance.py - Calcule la distance orthodromique (à vol d'oiseau) entre deux points A et B.
#Copyright (C) 2011 Arthur Delorme (IPGP)
#
#This program is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#(contact : delorme@ipgp.fr)

print "*** Compute the distance between two points A and B ***\n\nPoint A :"
sLat1 = raw_input("Latitude (deg) = ")
sLon1 = raw_input("Longitude (deg) = ")
print "\nPoint B :"
sLat2 = raw_input("Latitude (deg) = ")
sLon2 = raw_input("Longitude (deg) = ")

fLat1 = float(sLat1)*math.pi/180
fLon1 = float(sLon1)*math.pi/180
fLat2 = float(sLat2)*math.pi/180
fLon2 = float(sLon2)*math.pi/180

R = 6378137 # Rayon de la Terre (m)

fDistance = R*math.acos(math.cos(fLat1)*math.cos(fLat2)*math.cos(fLon1-fLon2)+math.sin(fLat1)*math.sin(fLat2))

print "\nAB = %.2f m" % fDistance
